import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

export default new Vuex.Store({
    state: {
        appLoginToken: '',
        appLoginHash: '',
        appLoginproduId: '',
        appShowMenu: true,
        appShowHeader: true
    },
    mutations: {
        setAppLoginToken: (state, token: string) => {
            state.appLoginToken = token;
        },
        setAppLoginHash: (state, hash: string) => {
            state.appLoginHash = hash;
        },
        setaAppProductId: (state, productId: string) => {
            state.appLoginproduId = productId;
        },
        setAppDisplayOptions: (state, options: any) => {
            state.appShowMenu = options.menu !== '0';
            state.appShowHeader = options.header !== '0';
        }
    },
    actions: {},
});
